[plt-scheme] Jane Street Summer Project 2009

From: Aleks Bromfield (aleks at cs.brown.edu)
Date: Mon Feb 2 23:58:37 EST 2009

The current version of DrOCaml does work with DrScheme 4.x. I
apologize for not posting it on PLaneT yet; I haven't gotten around to
relearning how to build a PLaneT package. I'll try to get to this
soon. In the meantime, I'd be glad to send you a .plt file if you

There are quite a few things that could be done to improve DrOCaml,
especially for someone who's willing to modify the OCaml toplevel
source and/or work with EasyOCaml. That said, I don't see this as a
particularly high-priority project. DrOCaml is primarily a collection
of special cases. I think PLT would benefit much more from
infrastructure which could work across multiple languages.

On Mon, Feb 2, 2009 at 1:40 PM, Geoffrey S. Knauth <geoff at knauth.org> wrote:
> How old is DrOCaml?  I see on PLaneT that version 1.2 "does not seem to work
> fully with DrScheme 4.x."  Would it be worth it to make it work better?
> _________________________________________________
>  For list-related administrative tasks:
>  http://list.cs.brown.edu/mailman/listinfo/plt-scheme

Posted on the users mailing list.